/*******************************************************************************
 * FoxReportBaseUI generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxReportBaseUI extends GFxObject within GFxMoviePlayer
    abstract
    native(UI);

struct native ReportReason
{
    var string sLabel;
    var string sExtClickInterfaceFunc;
    var string sExtClickInterfaceArg;

    structdefaultproperties
    {
        sLabel=""
        sExtClickInterfaceFunc="ei_OnReportReasonClicked"
        sExtClickInterfaceArg=""
    }
};

var transient FoxPC PCOwner;
var UniqueNetId ForAccountID;
var const localized string LocStringTitle;
var const localized string LocStringInstructions;
var const localized string LocStringReason;
var const localized string LocStringSummary;
var const localized string LocStringBodyDefault;
var const localized string LocStringReason1;
var const localized string LocStringReason2;
var const localized string LocStringReason3;
var const localized string LocStringReason4;
var const localized string LocStringReason5;
var const localized string LocStringReason6;
var const localized string LocStringConfirm;
var const localized string LocStringConfirmToolTip;
var const localized string LocStringCancel;
var const localized string LocStringCancelToolTip;
var array<string> ReasonStrings;
var const array<string> ReasonTags;
var const int MaxBodyChars;
var GFxObject ConfirmButton;
var protected bool bInSocialMenu;
var int ReasonIndex;

function Initialize(FoxPC InPCOwner, optional UniqueNetId InForAccountID, optional bool bSocialMenu)
{
    local array<ReportReason> ReportReasons;
    local int I;
    local string ConfirmButtonPath;

    PCOwner = InPCOwner;
    ForAccountID = InForAccountID;
    bInSocialMenu = bSocialMenu;
    SetFloat("bodyMaxChars", float(MaxBodyChars));
    SetString("bodyDefaultText", LocStringBodyDefault);
    Outer.Advance(0.0);
    SetString("instructLabel", LocStringInstructions);
    SetString("reasonHeaderLabel", LocStringReason);
    SetString("selectedReasonLabel", "");
    SetString("summaryLabel", LocStringSummary);
    SetString("title", LocStringTitle);
    ReasonStrings.AddItem(LocStringReason1);
    ReasonStrings.AddItem(LocStringReason2);
    ReasonStrings.AddItem(LocStringReason3);
    ReasonStrings.AddItem(LocStringReason4);
    ReasonStrings.AddItem(LocStringReason5);
    ReasonStrings.AddItem(LocStringReason6);
    ReportReasons.Length = ReasonStrings.Length;
    I = 0;
    J0x1F6:
    // End:0x288 [Loop If]
    if(I < ReportReasons.Length)
    {
        ReportReasons[I].sLabel = ReasonStrings[I];
        ReportReasons[I].sExtClickInterfaceArg = string(I);
        ++ I;
        // [Loop Continue]
        goto J0x1F6;
    }
    as_SetReasonInfo(ReportReasons);
    // End:0x3C8
    if(!bSocialMenu)
    {
        // End:0x31D
        if((PCOwner != none) && class'FoxDialogBoxBase'.default.OpenDialogEvent != none)
        {
            PCOwner.PostAkEvent(class'FoxDialogBoxBase'.default.OpenDialogEvent, true);
        }
        ConfirmButtonPath = as_addConfirmationButton(LocStringConfirm, LocStringConfirmToolTip, "ei_OnConfirmReport",,, true);
        ConfirmButton = Outer.GetVariableObject(ConfirmButtonPath);
        as_addConfirmationButton(LocStringCancel, LocStringCancelToolTip, "ei_OnCancelReport");
    }
    //return;    
}

function ei_OnReportReasonClicked(string ReasonIndexString)
{
    ReasonIndex = int(ReasonIndexString);
    SetString("selectedReasonLabel", ReasonStrings[ReasonIndex]);
    // End:0x81
    if(ConfirmButton != none)
    {
        ConfirmButton.SetBool("disabled", false);
    }
    //return;    
}

function ei_OnConfirmReport()
{
    //return;    
}

function ei_OnCancelReport()
{
    //return;    
}

function as_SetReasonInfo(array<ReportReason> Reasons)
{
    ActionScriptVoid("setReasonsData");
    //return;    
}

function string as_GetBodyText()
{
    return ActionScriptString("queryBody");
    //return ReturnValue;    
}

function string as_addConfirmationButton(string Label, string ToolTip, string ClickInterfaceCallback, optional string ClickArg, optional string TransitionType, optional bool bDisabled)
{
    return ActionScriptString("addConfirmationButton");
    //return ReturnValue;    
}

function as_RemoveReportUI()
{
    ActionScriptVoid("removeDialogBox");
    //return;    
}

defaultproperties
{
    MaxBodyChars=255
}